/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package creativebehaviour.ea;

import creativebehaviour.models.neat.NeatGenotype;
import creativebehaviour.models.neat.NeatXORPhenotype;
import eval.ea.EA;
import eval.models.Genotype;
import eval.models.Phenotype;
import eval.models.Population;
import eval.util.Config;

/**
 *
 * @author Endre
 */
public class NeatXOREA extends NeatEA {
	
	public NeatXOREA(Config config) {
		super(config);
	}

	@Override
	public Population generateInitalPopulation(int size) {
		Population pop = new Population(size);
		NeatGenotype g = new NeatGenotype(2, 1);
		for(int i = 0; i < size; i++) {
			pop.add(new NeatXORPhenotype(g));
		}
		return pop;
	}

	@Override
	public Phenotype generatePhenotype(Genotype g) {
		NeatGenotype ng = (NeatGenotype) g;
		return new NeatXORPhenotype(ng);
	}
	
}
