/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package creativebehaviour.models;

import creativebehaviour.models.physical.EntityParseException;
import creativebehaviour.models.physical.TreeGenotype;
import creativebehaviour.simulation.World;
import java.io.IOException;
import java.text.ParseException;

/**
 *
 * @author Endre
 */
public class BenchmarkSimpleCreature extends Creature {
	
	public BenchmarkSimpleCreature() throws IOException, EntityParseException {
		super(TreeGenotype.readFromTxtFile("benchmark_simple.txt"), null);
	}
	
	public BenchmarkSimpleCreature(BenchmarkSimpleCreature c) {
		super(c.treeGenotype, null);
	}
	
	@Override
	public void tick(World world) {
		if (invoulnerable) {
				invCounter--;
			}
		if (invCounter <= 0) {
			invCounter = 30;
			invoulnerable = false;
		}
	}

	@Override
	public Creature copy() {
		return new BenchmarkSimpleCreature( this );
	}

	@Override
	protected void customCreatureTick(float[] sensorData, float[] actuatorBuffer) {
		return;
	}
	
}
