package creativebehaviour.models;

import creativebehaviour.models.physical.TreeGenotype;

/**
 *
 * @author Bjørnar W. Alvestad
 */
public class DummyCreature extends Creature {

	public DummyCreature(TreeGenotype treeGenotype) {
		super(treeGenotype, null);
	}

	public DummyCreature(DummyCreature original) {
		this(new TreeGenotype(original.treeGenotype));
		setEqual(original);
	}
	
	
	@Override
	public Creature copy() {
		return new DummyCreature(this);
	}
	

	@Override
	protected void customCreatureTick(float[] sensorData, float[] actuatorBuffer) {
	}

}
