package eval;

import eval.ea.*;
import eval.example.*;
import eval.models.Phenotype;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.JFrame;
import javax.swing.JPanel;
import eval.util.Config;

// TODO: Deactivate assertions when shit is for real.
public class EvAl {
	
	
	public static void main(String[] args) throws Exception {
//		Config cfg = new Config("LOLZEA.properties");
//		LOLZEA ea  = new LOLZEA(cfg);
		Config cfg = new Config("OneMaxEA.properties");
		OneMaxEA ea  = new OneMaxEA(cfg);
//		Config cfg = new Config("HammingEA.properties");
//		HammingEA ea  = new HammingEA(cfg);
		
		ea.evolve();
		
		EAResults res = ea.getResults();
//		res.writeExcelCompatibleTable("run.txt");
		
		System.out.println();
		System.out.println(ea.getWinner());
		
	}
	
	
	
	static class Panel extends JPanel {

		private int W, H;
		private double fitness;
		
		public Panel(int w, int h) {
			this.W = w; this.H = h;
			super.setPreferredSize(new Dimension(w, h));
		}
		
		public void update(double fitness) {
			this.fitness = fitness;
		}

		@Override
		public void paint(Graphics g) {
			super.paint(g);
			g.setColor(Color.black);
			g.fillRect(0, 0, W, H);
			
			g.setColor(Color.red);
			int w = (int)(W * fitness);
			g.fillRect(0, 0, w, H);
		}
		
	}
}
