package eval.models;

import java.io.Serializable;
import eval.util.Config;


public enum Crossover implements Serializable {
	ONE_POINT, UNIFORM;
	
	public static Crossover parseCrossover(Config cfg) {
		String type = cfg.get("crossover_type").toLowerCase().replaceAll("(_*|\\s*)", "");
		if (type.equals("onepoint")) {
			return ONE_POINT;
		}
		else if (type.equals("uniform")){
			return UNIFORM;
		}
		// TODO: default value
		System.out.println("Using default crossover: ONE_POINT");
		return ONE_POINT;
	}
}
