/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package anune.util;

/**
 *
 * @author Endre
 */
public abstract class Activation {
	
	
	public static float sigmoid(float y, float g) {
		float v = 1.0f / (1.0f + (float)Math.exp(-g*y));
		return v;
	}
	
	public static float tanh(float x) {
		float v = 2 / (float) ((1 + Math.exp(-2*x)) + 1);
		return v;
	}
	
	public static float atan(float x) {
		float v = (float) Math.atan(x);
		return v;
	}
	
	public static float softsign(float x) {
		float v = x / (float) (1 + Math.abs(x));
		return v;
	}
	
	public static float binstep(float x) {
		if (x < 0) return 0;
		return 1;
	}
	public static float binstep_inclusive_zero(float x) {
		if (x <= 0) return 0;
		return 1;
	}
	
	public static float rlu(float x) {
		if (x < 0) return 0;
		return x;
	}
	
	public static float mod_sigmoid(float x) {
		return  1/(float)(1+Math.exp(-4.9*x));
	}
}
