package creativebehaviour.ents.misc;

import creativebehaviour.simulation.World;

/**
 *
 * @author Endre
 */
public interface InputEntity {
	
	/**
	 * Get sensor data.
	 * @param world
	 * @return 
	 */
	public double getInputValue(World world);
	
	/**
	 * Returns sensor data from this entity. The origin of each element must
	 * match the order defined in Variable, in order for the legends to be correct.
	 * @param world
	 * @return 
	 */
	public double[] getInputData(World world);
	
	//public Variable[] getInputLegend();
}
