/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package creativebehaviour.models.neat;

import eval.models.Phenotype;

/**
 *
 * @author Endre
 */
public class NeatXORPhenotype extends Phenotype {
	
	public NeatANN network;
	
	public NeatXORPhenotype (NeatGenotype g) {
		super(g);
		
		this.network = new NeatANN(g);
		if (this.network.inputNeurons.size() != 2) throw new RuntimeException("Input not size 2");
		if (this.network.outputNeurons.size() != 1) throw new RuntimeException("Output not size 1");
	}

	@Override
	protected double calculateFitness() {
		
		double delta = 0;
		delta += Math.abs(this.network.run(new float[]{0, 0})[0]);
		delta += Math.abs(this.network.run(new float[]{0, 1})[0]-1);
		delta += Math.abs(this.network.run(new float[]{1, 0})[0]-1);
		delta += Math.abs(this.network.run(new float[]{1, 1})[0]);
		return 4-delta;
	}
	
}
