package creativebehaviour.models.physical;

import creativebehaviour.CreativeBehaviour;
import creativebehaviour.ea.BrainEA;
import eval.models.Phenotype;

/**
 *
 * @author Endre
 */
public class EntityPhenotype extends Phenotype {
	
	
	public EntityPhenotype(TreeGenotype genotype) {
		super(genotype);
	}
	
	
	@Override
	public double calculateFitness() {
		BrainEA brainEa = BrainEA.createBrainEA(CreativeBehaviour.brainMethod);
		CreativeBehaviour.attachNewBestFitnessListener(brainEa);
		brainEa.setCurrentTree(getGenotype());
		brainEa.evolve();
		return brainEa.getWinner().getFitness();
	}
	
	
	@Override
	public TreeGenotype getGenotype() {
		return (TreeGenotype) this.genotype;
	}
	
	
}
