package creativebehaviour.simulation;

import creativebehaviour.models.Creature;

/**
 *
 * @author Bjørnar W. Alvestad
 */
public class FoodWorldEdgeSpawn extends FoodWorld {
	public static final double EDGE_SPAWN_RANGE = 0.8;
	public static final double CREATURE_SPAWN_AREA = 0.1;
	
	
	public FoodWorldEdgeSpawn(int width, int height) {
		super(width, height);
	}

	
	@Override
	public void addCreature(Creature c) {
		super.addCreature(c, CREATURE_SPAWN_AREA);
	}
	
	
	
	
}
