package creativebehaviour.simulation;

import creativebehaviour.ents.misc.Renderable;
import creativebehaviour.util.Pointf;

/**
 *
 * @author Bjørnar W. Alvestad
 */
public interface WorldEntity extends Renderable {
	
	enum Type {
		CREATURE, FOOD;
	}
	
	public Pointf getPos();
	public void tick(World world);
	public Type getWorldEntType();
	
}
