/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package eval.example;

import eval.ea.EA;
import eval.models.BinaryGenotype;
import eval.models.CharGenotype;
import eval.models.Genotype;
import eval.models.Phenotype;
import eval.models.Population;
import eval.util.Config;
import eval.util.Utils;

/**
 *
 * @author Viktor
 */
public class HammingEA extends EA {

	public static final String TARGET = "HELLOWORLD";
	

	public HammingEA(Config cfg) {
		super(cfg);
	}
	

	@Override
	public Population generateInitalPopulation(int size) {
		Population pop = new Population(size);
		
		for (int i = 0; i < size; i++) {
			CharGenotype g = new CharGenotype(TARGET.length());
			for (int j = 0; j < TARGET.length(); j++) {
				g.str[j] = (char)Utils.randomInt(65, 90);
			}
			HammingPhenotype p = new HammingPhenotype(g);
			pop.add(p);
		}
		return pop;
	}
	

	@Override
	public Phenotype generatePhenotype(Genotype g) {
		return new HammingPhenotype(g);
	}
	
}
