/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package eval.example;

import eval.models.BinaryGenotype;
import eval.models.CharGenotype;
import eval.models.Genotype;
import eval.models.Phenotype;

/**
 *
 * @author Viktor
 */
public class HammingPhenotype extends Phenotype {


	public HammingPhenotype(Genotype g) {
		super(g);
	}

	
	@Override
	public Genotype getGenotype() {
		return genotype;
	}

	
	
	@Override
	public double calculateFitness() {
		CharGenotype geno = (CharGenotype)genotype;
		int hammingdist = 0;
		
		for (int i = 0; i < geno.str.length; i++) {
			hammingdist += geno.str[i] == HammingEA.TARGET.charAt(i) ? 0 : 1;
		}
		
		return hammingdist;
//		return Math.exp(-0.1 * hammingdist);
	}

	@Override
	public String toString() {
		return this.genotype.toString() + " " + this.fitness;
	}

	
}
